<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->

    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->

</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('admin')"></div>

    <!--CAROUSEL-->
    <!--<div th:replace="fragments/layout :: carousel-sm"></div>-->

    <main id="main" class="container mt-2">
        <div class="d-lg-flex">
            <div class="p-2">
                <!--BACK-->
                <div class="mb-2">
                    <a class="btn btn-sm btn-outline-secondary w-100" th:href="@{/admin/users}">
                        <i class="fas fa-chevron-left mr-2"></i>
                        Zpět na seznam
                    </a>
                </div>
                <!--SIDE NAV-->
                <div th:replace="fragments/layout :: adminSideNav('users')"></div>
            </div>

            <div class="flex-grow-1 p-2">

                <!--HEADING-->
                <div class="mb-3 pb-2 pt-1 border-bottom clearfix">
                    <h2 class="float-left" th:text="${user.getFullName()}">Rezervace</h2>

                    <div class="float-right mt-2">
                        <!--EDIT-->
                        <a class="btn btn-sm btn-success" th:href="@{/admin/user/edit/} + ${user.id}">
                            <i class="fas fa-pen"></i>
                            Upravit
                        </a>
                        <!--DELETE-->
                        <a class="btn btn-sm btn-danger" th:href="@{/admin/user/remove/} + ${user.id}"
                           onclick="return confirm('Opravdu chcete smazat uživatele?');">
                            <i class="fas fa-trash"></i>
                        </a>
                    </div>
                </div>

                <!--ALERTS-->
                <div th:replace="fragments/layout :: alerts"></div>

                <div class="row no-gutters">
                    <!--BASIC INFO-->
                    <div class="col-12 col-sm-6 col-xl-5 pr-sm-1">
                        <div class="card">
                            <div class="card-header">
                                Základní údaje
                            </div>
                            <div class="card-body pb-0 pt-2">
                                <p>
                                    <span class="text-muted small">Jméno:</span>
                                    <span class="font-weight-bold" th:text="${user.name}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Příjmení:</span>
                                    <span class="font-weight-bold" th:text="${user.surname}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Firma:</span>
                                    <span class="font-weight-bold" th:text="${user.company}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Email:</span>
                                    <a class="font-weight-bold text-dark text-decoration-none"
                                       th:href="'mailto:' + ${user.email}" th:text="${user.email}"></a>
                                    <!--<span id="userEmail" class="font-weight-bold cursor-pointer" th:text="${borrow.user.email}"
                                    onclick="copyInnerHtmlToClipboard('#userEmail'); showToast('Email byl zkopírován')"></span>-->
                                </p>
                                <p>
                                    <span class="text-muted small">Telefon:</span>
                                    <a class="font-weight-bold text-dark text-decoration-none"
                                       th:href="'tel:' + ${user.phoneNumber}" th:text="${user.phoneNumber}"></a>
                                    <!--<span id="userPhone" class="font-weight-bold cursor-pointer" th:text="${borrow.user.phoneNumber}"
                                          onclick="copyInnerHtmlToClipboard('#userPhone'); showToast('Telefon byl zkopírován')"></span>-->
                                </p>
                                <p>
                                    <span class="text-muted small">Číslo OP/RČ:</span>
                                    <span class="font-weight-bold" th:text="${user.idNumber}"></span>
                                </p>
                            </div>
                        </div>
                    </div>

                    <!--ADDRESS-->
                    <div class="col-12 col-sm-6 col-xl-7 pt-2 pt-sm-0 pl-sm-1">
                        <div class="card">
                            <div class="card-header d-flex py-2">
                                <div class="mt-1">Adresa</div>
                                <div class="ml-auto">
                                    <button type="button" class="btn btn-sm btn-outline-secondary" onclick="addressToClipboard();"
                                            data-toggle="tooltip" data-placement="top" title="Zkopírovat adresu">
                                        <i class="far fa-clipboard"></i>
                                    </button>
                                    <a class="btn btn-sm btn-outline-orange" target="_blank"
                                       data-toggle="tooltip" data-placement="top" title="Zobrazit mapu"
                                       th:href="'https://www.google.com/maps/search/?api=1&query=' + ${user.address.getFormatAddress()}">
                                        <i class="fas fa-map-marked-alt"></i>
                                    </a>
                                </div>
                            </div>
                            <div class="card-body pb-0 pt-2">
                                <p>
                                    <span class="text-muted small">Město:</span>
                                    <span class="font-weight-bold" th:text="${user.address.city}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Ulice a číslo:</span>
                                    <span class="font-weight-bold" th:text="${user.address.street}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Zip:</span>
                                    <span class="font-weight-bold" th:text="${user.address.zip}"></span>
                                </p>
                                <p>
                                    <span class="text-muted small">Stát:</span>
                                    <span class="font-weight-bold" th:text="${user.address.state}"></span>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>

                <!--BORROWS-->
                <div>
                    <h5 class="mt-4">Výpůjčky</h5>
                    <div th:replace="borrow/userBorrows :: borrowList(${user.borrows}, false)"></div>
                </div>

            </div>
        </div>
    </main>
</div>

<div th:replace="fragments/layout :: footer"></div>

<script th:inline="javascript">
    /*<![CDATA[*/

    function addressToClipboard(){
        copyTextToClipboard(/*[[${user.address.getFormatAddress()}]]*/ '');
        showToast('Adresa byla zkopírována');
    }

    /*]]>*/
</script>

</body>
</html>